Skip to main content
PUT
/
campaigns
/
{id}
Update a campaign
curl --request PUT \
  --url https://api.sendkit.dev/campaigns/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "subject": "<string>",
  "email_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "audience_type": "all_contacts",
  "audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "preview_text": "<string>",
  "reply_to": "jsmith@example.com",
  "scheduled_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "March Newsletter",
  "subject": "Our latest updates",
  "preview_text": "Check out what's new",
  "reply_to": "support@example.com",
  "status": "draft",
  "audience_type": "contact_list",
  "audience_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "template": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Newsletter Template"
  },
  "sender": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Marketing Team",
    "email": "marketing@example.com"
  },
  "total_recipients": 1500,
  "sent_count": 1200,
  "failed_count": 5,
  "scheduled_at": "2026-03-15 10:00:00",
  "sent_at": "2026-03-11 14:30:00",
  "created_at": "2026-03-10 09:00:00"
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The campaign ID.

Body

application/json
name
string

The campaign name.

Maximum string length: 255
subject
string

The email subject line.

Maximum string length: 255
email_template_id
string<uuid>

The email template ID to use.

sender_id
string<uuid>

The sender ID to send from.

audience_type
enum<string>

The audience type.

Available options:
all_contacts,
contact_list,
segment
audience_id
string<uuid> | null

The contact list or segment ID. Required when audience_type is contact_list or segment.

preview_text
string | null

Preview text shown in email clients.

Maximum string length: 255
reply_to
string<email> | null

Reply-to email address.

Maximum string length: 255
scheduled_at
string<date-time> | null

Schedule the campaign for a future date. Must be in the future.

Response

Campaign updated successfully

id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
Example:

"March Newsletter"

subject
string | null
Example:

"Our latest updates"

preview_text
string | null
Example:

"Check out what's new"

reply_to
string | null
Example:

"support@example.com"

status
enum<string>
Available options:
draft,
scheduled,
sending,
sent,
partial_sent
Example:

"draft"

audience_type
enum<string>
Available options:
all_contacts,
contact_list,
segment
Example:

"contact_list"

audience_id
string<uuid> | null
template
object
sender
object
total_recipients
integer
Example:

1500

sent_count
integer
Example:

1200

failed_count
integer
Example:

5

scheduled_at
string<date-time> | null
Example:

"2026-03-15 10:00:00"

sent_at
string<date-time> | null
Example:

"2026-03-11 14:30:00"

created_at
string<date-time>
Example:

"2026-03-10 09:00:00"